<p align="center">
  <img src="https://atroposjs.com/images/share-banner.png"/>
</p>

# Atropos

Atropos is a lightweight, free and open-source JavaScript library to create stunning touch-friendly 3D parallax hover effects.

Available for JavaScript, React and Vue.js

## Community

The Atropos community can be found on [GitHub Discussions](https://github.com/nolimits4web/atropos/discussions), where you can ask questions, voice ideas, and share your projects

Our [Code of Conduct](https://github.com/nolimits4web/atropos/blob/master/CODE_OF_CONDUCT.md) applies to all Atropos community channels.

## Dist / Build

On production use files (JS and CSS) only from `package/` folder, there will be the most stable versions, `build/` folder is only for development purpose.

### Development Build

Install all dependencies, in repo's root:

```

$ npm install

```

And build development version of Atropos:

```

$ npm run build:dev

```

The result is available in `build/` folder.

### Running demos:

All demos located in `./playground` folder. There you will fine Core (HTML, JS), React, Vue, Svelte and Angular versions.
To open demo, run:

- **Core**: `npm run core`
- **React**: `npm run react`
- **Vue**: `npm run vue`

### Production Build

```

$ npm run build:prod

```

Production version will available in `package/` folder.

## Contributing

All changes should be committed to `src/` files only. Before you open an issue please review the [contributing](https://github.com/nolimits4web/atropos/blob/master/CONTRIBUTING.md) guideline.
